<?php

namespace Drupal\in\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Form\RedundantEditableConfigNamesTrait;
use Drupal\in\InHelper;

/**
 * The config form for the IN module.
 *
 * @package Drupal\in\Form
 */
class InConfigForm extends ConfigFormBase {
  use RedundantEditableConfigNamesTrait;

  /**
   * {@inheritDoc}
   */
  public function getFormId() {
    return 'in_config';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['output_position'] = [
      '#type' => 'radios',
      '#title' => $this->t('Output position'),
      '#options' => [
        InHelper::IN_POS_PAGE_TOP => $this->t('Page Top section'),
        InHelper::IN_POS_PAGE => $this->t('Page section'),
      ],
      '#config_target' => 'in.config:position',
      '#description' => $this->t('To output Important Notification code use:<br><b>Page Top</b> = `page_top` section, working without additional configurations.<br><b>Page</b> = `page` section, required to manually add output <code>{{ important_notification }}</code> in the page.html.twig file.'),
    ];
// @todo   $form['info'] = [
//      '#type' => 'radios',
//      '#options' => '<br>+ Show: global|non-admin|admin pages<br>',
//    ];
    return parent::buildForm($form, $form_state);
  }

}
